[gentoo-commits] repo/gentoo:master commit in: x11-plugins/pidgin-led-notification/

2024-04-11 Thread Arthur Zamarin
commit: bfb78107aecb58dbf7e295b1698ebaa864ee31fd
Author: Arthur Zamarin  gentoo  org>
AuthorDate: Thu Apr 11 15:24:38 2024 +
Commit: Arthur Zamarin  gentoo  org>
CommitDate: Thu Apr 11 15:24:38 2024 +
URL:https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=bfb78107

x11-plugins/pidgin-led-notification: drop 0.1, EAPI6--

Signed-off-by: Arthur Zamarin  gentoo.org>

 .../pidgin-led-notification-0.1.ebuild | 45 --
 1 file changed, 45 deletions(-)

diff --git 
a/x11-plugins/pidgin-led-notification/pidgin-led-notification-0.1.ebuild 
b/x11-plugins/pidgin-led-notification/pidgin-led-notification-0.1.ebuild
deleted file mode 100644
index 00d21c5669c0..
--- a/x11-plugins/pidgin-led-notification/pidgin-led-notification-0.1.ebuild
+++ /dev/null
@@ -1,45 +0,0 @@
-# Copyright 1999-2021 Gentoo Authors
-# Distributed under the terms of the GNU General Public License v2
-
-EAPI=6
-
-inherit toolchain-funcs
-
-MY_PN=${PN/pidgin-/}
-MY_P=${MY_PN}-${PV}
-
-DESCRIPTION="Pidgin plugin to notify by writing user defined strings to (led 
control) files"
-HOMEPAGE="https://sites.google.com/site/simohmattila/led-notification";
-SRC_URI="https://sites.google.com/site/simohmattila/${MY_P}.tar.bz2";
-
-LICENSE="GPL-2"
-SLOT="0"
-KEYWORDS="~amd64 ~arm ~riscv ~x86"
-IUSE=""
-
-RDEPEND="
-   net-im/pidgin[gtk]
-   x11-libs/gtk+:2"
-DEPEND="${RDEPEND}
-   virtual/pkgconfig"
-
-S=${WORKDIR}/${MY_P}
-
-PATCHES=( "${FILESDIR}"/${P}-hardware.patch )
-
-src_compile() {
-   $(tc-getCC) \
-   ${CFLAGS} -fPIC \
-   ${CPPFLAGS} \
-   ${LDFLAGS} \
-   $($(tc-getPKG_CONFIG) --cflags gtk+-2.0 pidgin) \
-   -shared ${MY_PN}.c -o ${MY_PN}.so \
-   $($(tc-getPKG_CONFIG) --libs gtk+-2.0 pidgin) || die
-}
-
-src_install() {
-   exeinto /usr/$(get_libdir)/pidgin
-   doexe ${MY_PN}.so
-
-   einstalldocs
-}



[gentoo-commits] repo/gentoo:master commit in: x11-plugins/pidgin-led-notification/

2024-02-25 Thread Andreas Schuerch
commit: 68c4004ae3c950b921759a1ef25d54b44ddd6987
Author: Andreas Schuerch  gentoo  org>
AuthorDate: Sun Feb 25 11:52:47 2024 +
Commit: Andreas Schuerch  gentoo  org>
CommitDate: Sun Feb 25 11:52:55 2024 +
URL:https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=68c4004a

x11-plugins/pidgin-led-notification: add myself as a maintainer

Signed-off-by: Andreas Schuerch  gentoo.org>

 x11-plugins/pidgin-led-notification/metadata.xml | 5 -
 1 file changed, 4 insertions(+), 1 deletion(-)

diff --git a/x11-plugins/pidgin-led-notification/metadata.xml 
b/x11-plugins/pidgin-led-notification/metadata.xml
index 85e4ed814fa2..e8de1c56b30f 100644
--- a/x11-plugins/pidgin-led-notification/metadata.xml
+++ b/x11-plugins/pidgin-led-notification/metadata.xml
@@ -1,5 +1,8 @@
 
 https://www.gentoo.org/dtd/metadata.dtd";>
 
-
+   
+   native...@gentoo.org
+   Andreas Schuerch
+   
 



[gentoo-commits] repo/gentoo:master commit in: x11-plugins/pidgin-led-notification/

2024-02-25 Thread Andreas Schuerch
commit: c4ec4c1c97d2d32abe90ef7172743b20ed1ed1b9
Author: Andreas Schuerch  gentoo  org>
AuthorDate: Sun Feb 25 11:49:15 2024 +
Commit: Andreas Schuerch  gentoo  org>
CommitDate: Sun Feb 25 11:50:41 2024 +
URL:https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=c4ec4c1c

x11-plugins/pidgin-led-notification: EAPI8 bump, fix LICENSE

Signed-off-by: Michael Mair-Keimberger  levelnine.at>
Signed-off-by: Andreas Schuerch  gentoo.org>

 .../pidgin-led-notification-0.1-r1.ebuild  | 43 ++
 1 file changed, 43 insertions(+)

diff --git 
a/x11-plugins/pidgin-led-notification/pidgin-led-notification-0.1-r1.ebuild 
b/x11-plugins/pidgin-led-notification/pidgin-led-notification-0.1-r1.ebuild
new file mode 100644
index ..da59b6d4d098
--- /dev/null
+++ b/x11-plugins/pidgin-led-notification/pidgin-led-notification-0.1-r1.ebuild
@@ -0,0 +1,43 @@
+# Copyright 1999-2024 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+inherit toolchain-funcs
+
+MY_PN="${PN/pidgin-/}"
+MY_P="${MY_PN}-${PV}"
+
+DESCRIPTION="Pidgin plugin to notify by writing user defined strings to (led 
control) files"
+HOMEPAGE="https://sites.google.com/site/simohmattila/led-notification";
+SRC_URI="https://sites.google.com/site/simohmattila/${MY_P}.tar.bz2";
+S="${WORKDIR}/${MY_P}"
+
+LICENSE="GPL-2+"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~riscv ~x86"
+
+RDEPEND="
+   net-im/pidgin[gtk]
+   x11-libs/gtk+:2"
+DEPEND="${RDEPEND}"
+BDEPEND="virtual/pkgconfig"
+
+PATCHES=( "${FILESDIR}"/${P}-hardware.patch )
+
+src_compile() {
+   $(tc-getCC) \
+   ${CFLAGS} -fPIC \
+   ${CPPFLAGS} \
+   ${LDFLAGS} \
+   $($(tc-getPKG_CONFIG) --cflags gtk+-2.0 pidgin) \
+   -shared ${MY_PN}.c -o ${MY_PN}.so \
+   $($(tc-getPKG_CONFIG) --libs gtk+-2.0 pidgin) || die
+}
+
+src_install() {
+   exeinto /usr/$(get_libdir)/pidgin
+   doexe ${MY_PN}.so
+
+   einstalldocs
+}



[gentoo-commits] repo/gentoo:master commit in: x11-plugins/pidgin-led-notification/

2021-09-09 Thread Yixun Lan
commit: dd75fe6773c4e3e34ec68d2940fe39284b6b5798
Author: Yixun Lan  gentoo  org>
AuthorDate: Thu Sep  9 06:27:37 2021 +
Commit: Yixun Lan  gentoo  org>
CommitDate: Thu Sep  9 07:04:53 2021 +
URL:https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=dd75fe67

x11-plugins/pidgin-led-notification: keyword ~riscv

Package-Manager: Portage-3.0.22, Repoman-3.0.3
Signed-off-by: Yixun Lan  gentoo.org>

 .../pidgin-led-notification/pidgin-led-notification-0.1.ebuild| 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

diff --git 
a/x11-plugins/pidgin-led-notification/pidgin-led-notification-0.1.ebuild 
b/x11-plugins/pidgin-led-notification/pidgin-led-notification-0.1.ebuild
index bcfaf3ba9a2..00d21c5669c 100644
--- a/x11-plugins/pidgin-led-notification/pidgin-led-notification-0.1.ebuild
+++ b/x11-plugins/pidgin-led-notification/pidgin-led-notification-0.1.ebuild
@@ -1,4 +1,4 @@
-# Copyright 1999-2018 Gentoo Foundation
+# Copyright 1999-2021 Gentoo Authors
 # Distributed under the terms of the GNU General Public License v2
 
 EAPI=6
@@ -14,7 +14,7 @@ 
SRC_URI="https://sites.google.com/site/simohmattila/${MY_P}.tar.bz2";
 
 LICENSE="GPL-2"
 SLOT="0"
-KEYWORDS="~amd64 ~arm ~x86"
+KEYWORDS="~amd64 ~arm ~riscv ~x86"
 IUSE=""
 
 RDEPEND="